# Class: YARD::Handlers::Ruby::PrivateConstantHandler

Inherits:
  Base
  - Object
  - Base
  - Base
  - YARD::Handlers::Ruby::PrivateConstantHandler
  show all

Defined in:
  lib/yard/handlers/ruby/private_constant_handler.rb

## Overview

Sets visibility of a constant (class, module, const)

## Constant Summary

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Instance Method Summary collapse

- #process ⇒ void

  Main processing callback.

### Methods included from Parser::Ruby

#s

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type

## Constructor Details

This class inherits a constructor from YARD::Handlers::Base

## Instance Method Details

### #process ⇒ `void`

This method returns an undefined value.

Main processing callback

    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24

    # File 'lib/yard/handlers/ruby/private_constant_handler.rb', line 10

    process do
      errors = []
      statement.parameters.each do |param|
        next unless AstNode === param
        begin
          privatize_constant(param)
        rescue UndocumentableError => err
          errors << err.message
        end
      end
      unless errors.empty?
        msg = errors.size == 1 ? ": #{errors[0]}" : "s: #{errors.join(", ")}"
        raise UndocumentableError, "private constant#{msg} for #{namespace.path}"
      end
    end